# Generated by Django 4.0.3 on 2022-08-01 12:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("django_to_galaxy", "0003_invocation_create_time"),
    ]

    operations = [
        migrations.AlterField(
            model_name="galaxyuser",
            name="email",
            field=models.EmailField(max_length=254),
        ),
        migrations.CreateModel(
            name="GalaxyOutputFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("galaxy_id", models.CharField(max_length=50)),
                ("workflow_name", models.CharField(max_length=200)),
                ("galaxy_state", models.CharField(max_length=100, null=True)),
                ("history_name", models.CharField(max_length=200, null=True)),
                ("src", models.CharField(max_length=50)),
                (
                    "invocation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="outputs",
                        to="django_to_galaxy.invocation",
                    ),
                ),
            ],
        ),
    ]
